Skip to main content
POST
/
api
/
v1
/
auth
/
orders
/
{order_id}
/
estimate-fee
Estimate USDT transfer network fee
curl --request POST \
  --url https://crypto.westminister.tech/api/v1/auth/orders/{order_id}/estimate-fee \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "wallet_id": "4a1b9932-d101-45ad-8848-ed949eb8d3bf",
  "network": "tron"
}
'
{
  "fee_usdt": "3.00",
  "fee_native": "3.00",
  "fee_kes": "3.60",
  "estimated_time_seconds": 60,
  "estimated_time_minutes": "1.0",
  "network": "tron"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

order_id
string<uuid>
required

Order ID

Body

application/json
wallet_id
string<uuid>
required

Wallet ID to use for the transfer

Example:

"4a1b9932-d101-45ad-8848-ed949eb8d3bf"

network
enum<string>
required

Blockchain network (must match order's network)

Available options:
tron,
ethereum
Example:

"tron"

Response

Fee estimation successful

fee_usdt
string

Estimated fee in USDT

Example:

"3.00"

fee_native
string

Estimated fee in native currency (TRX for Tron, ETH for Ethereum)

Example:

"3.00"

fee_kes
string

Estimated fee in KES (if order currency is KES)

Example:

"3.60"

estimated_time_seconds
integer

Estimated processing time in seconds

Example:

60

estimated_time_minutes
string

Estimated processing time in minutes

Example:

"1.0"

network
string

Blockchain network

Example:

"tron"